%define pypi_name	cssutils

%bcond_without tests

Name:		python-%{pypi_name}
Version:	2.4.2
Release:	%mkrel 1
Summary:	Python module for parsing and building CSS
Group:		Development/Python
License:	LGPLv3+
URL:		https://pypi.org/project/cssutils/
Source0:	%{pypi_source}
# no network access in the buildsystem, so disable tests that try and use net
Patch0:         cssutils-2.2.0-disable-external-tests.patch
BuildArch:	noarch

%description
cssutils is a Python module for building and parsing CSS (Cascading
Style Sheets).

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
BuildRequires:  pyproject-rpm-macros
BuildRequires: 	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(toml)
BuildRequires:  python3dist(jaraco.test)
BuildRequires:  python3-jaraco
# For tests
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mock)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cssselect)

%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python2-cssutils < 1.0.2-3

%description -n python3-%{pypi_name}
cssutils is a Python 3 module for building and parsing CSS (Cascading
Style Sheets).

%prep
%autosetup -p1 -n cssutils-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cssutils encutils

# Don't ship tests. TODO: run tests in check section.
rm -rf %{buildroot}%{python3_sitelib}/tests

%if %{with tests}
%check
%pytest -vv -k "not test_literalname and not test_specificity and not website.logging"
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/csscapture
%{_bindir}/csscombine
%{_bindir}/cssparse





%changelog
* Fri Sep 09 2022 neoclust <neoclust> 2.4.2-1.mga9
+ Revision: 1886251
- New version

* Fri Apr 01 2022 umeabot <umeabot> 2.3.0-3.mga9
+ Revision: 1838184
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 2.3.0-2.mga9
+ Revision: 1775309
- Disable tests that try and use net (none in BS)
- Disable failing tests
- Rebuild for python-3.10

* Sat Aug 28 2021 wally <wally> 2.3.0-1.mga9
+ Revision: 1743193
- new version 2.3.0

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.2.0-1.mga9
+ Revision: 1706116
- new version 2.2.0

* Mon Jan 11 2021 wally <wally> 1.0.2-5.mga8
+ Revision: 1671114
- obsolete old python2 pkg also providing csscapture, csscombine and cssparse

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-4.mga8
+ Revision: 1531426
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 1.0.2-3.mga8
+ Revision: 1440265
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.0.2-2.mga7
+ Revision: 1352306
- Rebuild for python3 3.7

* Thu Nov 01 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1327158
- Update to version 1.0.2
- Renamed python-cssutils to python2-cssutils
- Use python-provides

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1288558
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.1-2.mga7
+ Revision: 1135355
- Rebuild for python 3.6

* Sat Feb 13 2016 philippem <philippem> 1.0.1-1.mga6
+ Revision: 959779
- update to 1.0.1

* Thu Oct 08 2015 tv <tv> 0.9.10-8.mga6
+ Revision: 887536
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.10-7.mga5
+ Revision: 749274
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.10-6.mga5
+ Revision: 728211
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.10-5.mga5
+ Revision: 687952
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.10-4.mga5
+ Revision: 628536
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.10-3.mga4
+ Revision: 543233
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.10-2.mga4
+ Revision: 498327
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.9.10-1.mga4
+ Revision: 474089
- summary-ended-with-dot
- update to 0.9.10, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 14 2012 dams <dams> 0.9.9-1.mga2
+ Revision: 235677
- new version 0.9.9

* Sun Mar 06 2011 ennael <ennael> 0.9.7-0.b3.2.mga1
+ Revision: 65574
- imported package python-cssutils


* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.b3.2mdv2011.0
+ Revision: 590376
- rebuild for python-2.7

* Sat Jul 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.b3.1mdv2011.0
+ Revision: 550341
- update to 0.9.7b3

* Fri Dec 04 2009 Michael Scherer <misc@mandriva.org> 0.9.5.1-3mdv2010.1
+ Revision: 473354
- do not let world writable file, fix #56186

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.5.1-2mdv2010.0
+ Revision: 442089
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5.1-1mdv2009.1
+ Revision: 319513
- rebuild with python 2.6
- new release 0.9.5.1

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 255575
- import python-cssutils


